%define build_plf 0
%define build_perl 1
%define build_python 1
%define build_tcl 1
%define build_netmon 0

%{?_with_plf: %{expand: %%global build_plf 1}}

%{?_without_perl: %{expand: %%global build_perl 0}}
%{?_with_perl: %{expand: %%global build_perl 1}}

%{?_without_python: %{expand: %%global build_python 0}}
%{?_with_python: %{expand: %%global build_python 1}}

%{?_without_tcl: %{expand: %%global build_tcl 0}}
%{?_with_tcl: %{expand: %%global build_tcl 1}}

%{?_without_netmon: %{expand: %%global build_netmon 0}}
%{?_with_netmon: %{expand: %%global build_netmon 1}}

%define perl_version	%(rpm -q --qf '%%{epoch}:%%{VERSION}' perl)
%define iconname xchat-gnome.png

Summary:	Graphical IRC client for the GNOME desktop
Name:		xchat-gnome
Version:	0.26.1
Release:	%mkrel 17
Group:		Networking/IRC
License:	GPLv2+
Url:		http://xchat-gnome.navi.cx
Source:		http://ftp.gnome.org/pub/GNOME/sources/xchat-gnome/0.26/%{name}-%{version}.tar.bz2
# do not give away OS with VERSION
Patch0:		%{name}-0.18-ctcp_version.patch
# (tpg) no more crash on startup
Patch1:		%{name}-0.18-config.patch
Patch2:		xchat-gnome-0.26.1-depreciated-macros.patch
Patch3:		xchat-gnome-0.26.1-link.patch
# From Gentoo
Patch4:		xchat-gnome-0.26.1-notify-osd.patch
Patch5:		xchat-gnome-0.26.1-tcl-dir.patch
BuildRequires: pkgconfig(dbus-1) >= 0.60
BuildRequires: pkgconfig(dbus-glib-1) >= 0.60
BuildRequires: pkgconfig(gconf-2.0) >= 2.8.0
BuildRequires: pkgconfig(gio-2.0) >= 2.18.0
BuildRequires: pkgconfig(glib-2.0) >= 2.18.0
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtk+-2.0) >= 2.14.0
BuildRequires: pkgconfig(libcanberra-gtk) >= 0.3
BuildRequires: pkgconfig(libglade-2.0) >= 2.3.2
BuildRequires: pkgconfig(libgnome-2.0) >= 2.16.0
BuildRequires: pkgconfig(libgnomeui-2.0) >= 2.16.0
BuildRequires: pkgconfig(libnotify) >= 0.3.2
BuildRequires: pkgconfig(libsexy) >= 0.1.11
BuildRequires: pkgconfig(openssl)
BuildRequires:	bison
BuildRequires:	intltool gettext-devel
BuildRequires:	scrollkeeper
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils
%if %build_perl
BuildRequires:	perl-devel
%endif
%if %build_python
BuildRequires:	python-devel
%endif
%if %build_tcl
BuildRequires:	tcl
BuildRequires:	tcl-devel
%endif
%if %build_plf
BuildRequires:	socks5-devel
%endif
BuildRequires:	libxslt-proc
BuildRequires:	chrpath
Provides:	xchat-gnome-dbus = %{version}-%{release}
Obsoletes:	xchat-gnome-dbus < 0.15
Requires(preun): GConf2

%description
XChat-gnome is a new frontend to the popular X-Chat IRC client which is
designed with the user interface foremost in mind. Historically, the OSS
desktop has been steadily improving in usability, accessibility, and general
slickness, yet the world of IRC clients has not kept up. With IRC being one
of the fundamental methods of communication within the open source community,
it is bizzare that this area has been neglected.

%package devel
Summary:	XChat header for plugin development
Group:		Networking/IRC

%description devel
This package contains xchat-plugin.h needed to build external plugins.

%package perl
Summary:	XChat Perl plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Requires:	perl-base = %{perl_version}

%description perl
Provides Perl scripting capability to XChat.

%package python
Summary:	XChat Python plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description python
Provides Python scripting capability to XChat.

%package tcl
Summary:	XChat TCL plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description tcl
Provides tcl scripting capability to XChat.

%package autoaway
Summary:	XChat Autoaway plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description autoaway
Provides a autoaway function to XChat.

%if %build_netmon
%package netmonitor
Summary:	XChat Netmonitor plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description netmonitor
Net Monitor support for XChat.
%endif

%package notification
Summary:	XChat Notification plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Requires(preun): GConf2

%description notification
Provides a notification area icon to XChat.

%package soundnotification
Summary:	XChat Sound Notification plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description soundnotification
Provides a sound notification to XChat.

%package notifyosd
Summary:	XChat On Screen Notification plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description notifyosd
Provides an on screen notification to XChat.

%package urlscraper
Summary:	XChat URLscraper plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Requires(preun): GConf2

%description urlscraper
Provides capability to extract URLs from XChat conversations.

%prep
%setup -q
%patch0 -p1 -b .ctcp_version
%patch1 -p1 -b .config
%patch2 -p1 -b .gtk
%patch3 -p0 -b .link
%patch4 -p1 -b .notify
%patch5 -p0 -b .tcl

%build
autoreconf -fi
%configure2_5x  --disable-schemas-install \
		--enable-scrollkeeper \
		--disable-static --disable-maintainer-mode \
		--enable-tcl=%_libdir \
		--with-plugins=autoaway,dbus,notification,notify-osd,url_scraper,sound-notification\
%if %build_perl
,perl\
%endif
%if %build_python
,python\
%endif
%if %build_tcl
,tcl\
%endif
%if %build_netmon
,net-monitor\
%endif
%if %build_plf
		--enable-socks
%endif

%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

mv %{buildroot}%{_sysconfdir}/gconf/schemas/url_handler.schemas %{buildroot}%{_sysconfdir}/gconf/schemas/xchat_gnome_url_handler.schemas

mkdir -p %{buildroot}%{_includedir}
cp plugins/xchat-plugin.h %{buildroot}%{_includedir}/

%if !%build_netmon
rm -f %{buildroot}%{_libdir}/xchat-gnome/plugins/netmonitor.*
%endif

#nuke rpath
chrpath -d %{buildroot}%{_bindir}/*
chrpath -d %{buildroot}%{_libdir}/%{name}/plugins/notifyosd.so
chrpath -d %{buildroot}%{_libdir}/%{name}/plugins/autoaway.so

%find_lang xchat-gnome

%preun
%preun_uninstall_gconf_schemas apps_xchat
%preun_uninstall_gconf_schemas xchat_gnome_url_handler

%preun notification
%preun_uninstall_gconf_schemas notification

%preun urlscraper
%preun_uninstall_gconf_schemas urlscraper

%files -f %{name}.lang
%doc NEWS AUTHORS ChangeLog
%{_sysconfdir}/gconf/schemas/apps_xchat.schemas
%{_sysconfdir}/gconf/schemas/xchat_gnome_url_handler.schemas
%{_bindir}/xchat-gnome
%{_datadir}/applications/xchat-gnome.desktop
%{_datadir}/xchat-gnome
%{_datadir}/gnome/help/xchat-gnome
%{_datadir}/dbus-1/services/org.gnome.Xchat.service
%{_datadir}/omf/xchat-gnome
%{_iconsdir}/hicolor/*/apps/*
%dir %{_libdir}/xchat-gnome
%dir %{_libdir}/xchat-gnome/plugins
%{_mandir}/man1/xchat-gnome.*

%files devel
%{_includedir}/xchat-plugin.h

%if %build_perl
%files perl
%{_libdir}/xchat-gnome/plugins/perl.so
%endif

%if %build_python
%files python
%{_libdir}/xchat-gnome/plugins/python.so
%endif

%if %build_tcl
%files tcl
%{_libdir}/xchat-gnome/plugins/tcl.so
%endif

%files autoaway
%{_libdir}/xchat-gnome/plugins/autoaway.so

%if %build_netmon
%files netmonitor
%{_libdir}/xchat-gnome/plugins/netmonitor.so
%endif

%files notification
%{_libdir}/xchat-gnome/plugins/notification.so
%{_sysconfdir}/gconf/schemas/notification.schemas

%files soundnotification
%{_libdir}/xchat-gnome/plugins/soundnotification.so

%files notifyosd
%{_libdir}/xchat-gnome/plugins/notifyosd.so

%files urlscraper
%{_libdir}/xchat-gnome/plugins/urlscraper.so
%{_sysconfdir}/gconf/schemas/urlscraper.schemas


%changelog

* Mon Mar 18 2013 fwang <fwang> 0.26.1-17.mga3
+ Revision: 403728
- rebuild for new perl

* Mon Jan 14 2013 umeabot <umeabot> 0.26.1-16.mga3
+ Revision: 386697
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 fwang <fwang> 0.26.1-15.mga3
+ Revision: 315717
- rebuild for new perl

* Thu Aug 30 2012 fwang <fwang> 0.26.1-14.mga3
+ Revision: 285800
- rebuild for new perl

* Thu May 31 2012 fwang <fwang> 0.26.1-13.mga3
+ Revision: 251986
- fix linkage
- rebuild for new perl

* Tue Oct 18 2011 dmorgan <dmorgan> 0.26.1-12.mga2
+ Revision: 156019
- perl 5.14.2 rebuild

* Thu Sep 22 2011 fwang <fwang> 0.26.1-11.mga2
+ Revision: 146664
- drop .la files

  + tv <tv>
    - fix sources URL

* Wed Jul 06 2011 fwang <fwang> 0.26.1-10.mga2
+ Revision: 119193
- fix tcl dir detection
- specify tcl dir
- rebuild for new tcl

* Sun Jun 19 2011 jquelin <jquelin> 0.26.1-9.mga2
+ Revision: 109914
- perl 5.14.1 rebuild

* Mon Jun 13 2011 ahmad <ahmad> 0.26.1-8.mga2
+ Revision: 105571
- Rebuild against libnotify-0.7

* Mon Jun 13 2011 sander85 <sander85> 0.26.1-7.mga2
+ Revision: 105473
- fix build problems with new libnotify

  + pterjan <pterjan>
    - Rebuild for perl 5.14

* Tue Mar 08 2011 ennael <ennael> 0.26.1-6.mga1
+ Revision: 66474
- clean spec file
- imported package xchat-gnome

